Index: main/plugin-web/pages/administrator/sites/cache-statistics-servers-tree.xsl
===================================================================
--- main/plugin-web/pages/administrator/sites/cache-statistics-servers-tree.xsl	(revision 32871)
+++ main/plugin-web/pages/administrator/sites/cache-statistics-servers-tree.xsl	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2012 Anyware Services
+   Copyright 2015 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -28,66 +28,87 @@
     
     <xsl:template match="/stats">
     	<root>
-			<xsl:apply-templates select="site" />
-			
-			<!-- Displays orphans if it contains at least some statistics -->
-			<xsl:apply-templates select="orphans[descendant::resource[1]]" />
+    	   {
+               "children": [
+               
+                       <!-- The site -->
+                       <xsl:for-each select="site">
+                         <xsl:if test="position() != 1">,</xsl:if>
+                         <xsl:call-template name="site"/> 
+                       </xsl:for-each>
+                       
+                       <xsl:if test="count(site) > 0">,</xsl:if>
+                       
+                       <!-- Total for pages only -->
+                       {
+                           "type": "pages",
+                           
+				           <xsl:call-template name="entry-data">
+				               <xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/site/stats/sitemap_16.png')" />
+				               
+				               <xsl:with-param name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean-total-page" /></xsl:with-param>
+				               <xsl:with-param name="httpServerHits"><xsl:call-template name="get-httpServerHits-sum-total-page" /></xsl:with-param>
+				               <xsl:with-param name="httpServerCacheHits"><xsl:call-template name="get-httpServerCacheHits-sum-total-page" /></xsl:with-param>
+				               <xsl:with-param name="frontHits"><xsl:call-template name="get-frontHits-sum-total-page" /></xsl:with-param>
+				               <xsl:with-param name="frontCacheHits"><xsl:call-template name="get-frontCachehits-sum-total-page" /></xsl:with-param>
+				               <xsl:with-param name="backHits"><xsl:call-template name="get-backHits-sum-total-page" /></xsl:with-param>
+				           </xsl:call-template>
+				           
+				           children: []
+			           }
+                       
+                       <!-- Orphans -->
+                       <xsl:for-each select="orphans[descendant::resource[1]]">
+                            <xsl:text>,</xsl:text>
+                            <xsl:call-template name="orphans"/> 
+                       </xsl:for-each>
+                    ]
+             }
 		</root>
     </xsl:template>
     
-    <xsl:template match="site">
-    	<site>
-    		<xsl:call-template name="entry-attributes">
-    			<xsl:with-param name="label" select="'PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_SITENODE'"/>
-                <xsl:with-param name="i18n" select="'label'"/>
-    			<xsl:with-param name="qtip" select="@id" />
-    			<xsl:with-param name="expanded" select="'true'" />
-    			<xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/administrator/stats/sitemap_16.png')" />
-    		</xsl:call-template>
-    		
-    		<xsl:apply-templates select="resource">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</site>
-   		<total>
-   			<!-- Total for pages only -->
-   			<xsl:call-template name="entry-attributes">
-                <xsl:with-param name="i18n" select="'label qtip'"/>
-    			<xsl:with-param name="label" select="'PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_PAGENODE'"/>
-    			<xsl:with-param name="qtip" select="'PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_PAGENODE_DESC'"/>
-    			<xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/administrator/stats/sitemap_16.png')" />
-				
-				<xsl:with-param name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean-total-page" /></xsl:with-param>
-				<xsl:with-param name="httpServerHits"><xsl:call-template name="get-httpServerHits-sum-total-page" /></xsl:with-param>
-				<xsl:with-param name="httpServerCacheHits"><xsl:call-template name="get-httpServerCacheHits-sum-total-page" /></xsl:with-param>
-				<xsl:with-param name="frontHits"><xsl:call-template name="get-frontHits-sum-total-page" /></xsl:with-param>
-				<xsl:with-param name="frontCacheHits"><xsl:call-template name="get-frontCachehits-sum-total-page" /></xsl:with-param>
-				<xsl:with-param name="backHits"><xsl:call-template name="get-backHits-sum-total-page" /></xsl:with-param>
-			</xsl:call-template>
-  			</total>
-    	
-		<spacer>
-			<xsl:call-template name="node-attributes" />
-		</spacer>
+    <xsl:template name="site">
+        {
+            "type": "site",
+	        <xsl:call-template name="entry-data">
+	            <xsl:with-param name="qtip" select="@id" />
+	            <xsl:with-param name="expanded" select="'true'" />
+	            <xsl:with-param name="leaf" select="'false'" />
+	            <xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/site/stats/sitemap_16.png')" />
+	        </xsl:call-template>
+            
+            "children": [
+	            <xsl:for-each select="resource">
+	              <xsl:sort select="@name" />
+
+	              <xsl:if test="position() != 1">,</xsl:if>
+	              <xsl:call-template name="resource"/> 
+	            </xsl:for-each>
+            ]
+        }
     </xsl:template>
     
-    <xsl:template match="orphans">
-    	<orphans>
-    		<xsl:call-template name="entry-attributes">
-    			<xsl:with-param name="label" select="'PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_ORPHEAN'"/>
-    			<xsl:with-param name="qtip" select="'PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_ORPHEAN_DESC'"/>
-                <xsl:with-param name="i18n" select="'label qtip'"/>
-    			<xsl:with-param name="expanded" select="'true'" />
-				<xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/administrator/stats/sitemap_16.png')" />
-    		</xsl:call-template>
-    		
-    		<xsl:apply-templates select="resource">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</orphans>
+    <xsl:template name="orphans">
+   		{
+   		   "type": "orphans",
+   		   <xsl:call-template name="entry-data">
+   			   <xsl:with-param name="expanded" select="'true'" />
+   			   <xsl:with-param name="leaf" select="'false'" />
+			   <xsl:with-param name="icon" select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/site/stats/sitemap_16.png')" />
+   		   </xsl:call-template>
+   		   
+   		  "children": [
+               <xsl:for-each select="resource">
+                 <xsl:sort select="@name" />
+
+                 <xsl:if test="position() != 1">,</xsl:if>
+                 <xsl:call-template name="resource"/> 
+               </xsl:for-each>
+           ]
+       }
     </xsl:template>
     
-    <xsl:template match="resource">
+    <xsl:template name="resource">
     	<xsl:choose>
     		<xsl:when test="@type='folder'"><xsl:call-template name="folder" /></xsl:when>
 			<xsl:otherwise><xsl:call-template name="file" /></xsl:otherwise>
@@ -95,15 +116,22 @@
    	</xsl:template>
    	
    	<xsl:template name="folder">
-    	<resource>
-    		<xsl:call-template name="entry-attributes">
+    	{
+    	   "type": "folder",
+    		<xsl:call-template name="entry-data">
     			<xsl:with-param name="label" select="@name" />
+    			<xsl:with-param name="leaf" select="'false'" />
     		</xsl:call-template>
     		
-    		<xsl:apply-templates select="resource">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</resource>
+    		"children": [
+               <xsl:for-each select="resource">
+                 <xsl:sort select="@name" />
+                 
+                 <xsl:if test="position() != 1">,</xsl:if>
+                 <xsl:call-template name="resource"/> 
+               </xsl:for-each>
+           ]
+        }
     </xsl:template>
     
    	<xsl:template name="file">
@@ -111,50 +139,52 @@
     	<xsl:variable name="isFrontEntry" select="boolean(entry[@type='front'])" />
     	<xsl:variable name="isBackEntry" select="boolean(entry[@type='back'])" />
     	
-    	<resource>
-    		<xsl:variable name="httpServerPath">
-    			<xsl:if test="$isHTTPServerEntry"><xsl:value-of select="concat('HTTPServer: ', entry[@type='httpserver']/@httpServerPath, '&lt;br/&gt;')" /></xsl:if>
-    		</xsl:variable>
-    		<xsl:variable name="frontPath">
-    			<xsl:choose>
-    				<xsl:when test="$isFrontEntry"><xsl:value-of select="concat('Front: ', entry[@type='front']/@path, '&lt;br/&gt;')" /></xsl:when>
-    				<xsl:when test="entry[@type='httpserver']/@frontPath"><xsl:value-of select="concat('Front : ', entry[@type='httpserver']/@frontPath, '&lt;br/&gt;')" /></xsl:when>
-   				</xsl:choose>
-    		</xsl:variable>
-    		<xsl:variable name="backId">
-    			<xsl:if test="$isBackEntry"><xsl:value-of select="concat('Id: ', entry[@type='back']/@id)" /></xsl:if>
-    		</xsl:variable>
-    		
-			<xsl:variable name="cacheable">
-				<xsl:call-template name="get-weighted-cacheable-mean-page" />
-			</xsl:variable>
-			<xsl:variable name="httpServerHits">
-				<xsl:variable name="child"><xsl:call-template name="get-httpServerHits-sum" /></xsl:variable>
-				<xsl:value-of select="$child + sum(entry[@type='httpserver']/httpServerHits)" />
-			</xsl:variable>
-			<xsl:variable name="httpServerCacheHits">
-				<xsl:variable name="child"><xsl:call-template name="get-httpServerCacheHits-sum" /></xsl:variable>
-				<xsl:value-of select="$child + sum(entry[@type='httpserver']/httpServerCacheHits)" />
-			</xsl:variable>
-			<xsl:variable name="frontHits">
-				<xsl:variable name="child"><xsl:call-template name="get-frontHits-sum" /></xsl:variable>
-				<xsl:value-of select="$child + sum(entry[@type='httpserver' or @type='front']/*[local-name()='frontHits' or local-name()='hits'])" />
-			</xsl:variable>
-			<xsl:variable name="frontCacheHits">
-				<xsl:variable name="child"><xsl:call-template name="get-frontCachehits-sum" /></xsl:variable>
-				<xsl:value-of select="$child + sum(entry[@type='httpserber' or @type='front']/*[local-name()='frontCacheHits1' or local-name()='frontCacheHits2' or local-name()='cacheHits1' or local-name()='cacheHits2'])" />
-			</xsl:variable>
-			<xsl:variable name="backHits">
-				<xsl:choose>
-					<xsl:when test="@type = 'page'">
-						<xsl:variable name="child"><xsl:call-template name="get-backHits-sum" /></xsl:variable>
-						<xsl:value-of select="$child + sum(entry[@type='back']/hits)" />
-					</xsl:when>
-					<xsl:otherwise><xsl:text>N/A</xsl:text></xsl:otherwise>
-				</xsl:choose>
-			</xsl:variable>
+        <xsl:variable name="httpServerPath">
+            <xsl:if test="$isHTTPServerEntry"><xsl:value-of select="concat('HTTPServer: ', entry[@type='httpserver']/@httpServerPath, '&lt;br/&gt;')" /></xsl:if>
+        </xsl:variable>
+        <xsl:variable name="frontPath">
+            <xsl:choose>
+                <xsl:when test="$isFrontEntry"><xsl:value-of select="concat('Front: ', entry[@type='front']/@path, '&lt;br/&gt;')" /></xsl:when>
+                <xsl:when test="entry[@type='httpserver']/@frontPath"><xsl:value-of select="concat('Front : ', entry[@type='httpserver']/@frontPath, '&lt;br/&gt;')" /></xsl:when>
+            </xsl:choose>
+        </xsl:variable>
+        <xsl:variable name="backId">
+            <xsl:if test="$isBackEntry"><xsl:value-of select="concat('Id: ', entry[@type='back']/@id)" /></xsl:if>
+        </xsl:variable>
+        
+        <xsl:variable name="cacheable">
+            <xsl:call-template name="get-weighted-cacheable-mean-page" />
+        </xsl:variable>
+        <xsl:variable name="httpServerHits">
+            <xsl:variable name="child"><xsl:call-template name="get-httpServerHits-sum" /></xsl:variable>
+            <xsl:value-of select="$child + sum(entry[@type='httpserver']/httpServerHits)" />
+        </xsl:variable>
+        <xsl:variable name="httpServerCacheHits">
+            <xsl:variable name="child"><xsl:call-template name="get-httpServerCacheHits-sum" /></xsl:variable>
+            <xsl:value-of select="$child + sum(entry[@type='httpserver']/httpServerCacheHits)" />
+        </xsl:variable>
+        <xsl:variable name="frontHits">
+            <xsl:variable name="child"><xsl:call-template name="get-frontHits-sum" /></xsl:variable>
+            <xsl:value-of select="$child + sum(entry[@type='httpserver' or @type='front']/*[local-name()='frontHits' or local-name()='hits'])" />
+        </xsl:variable>
+        <xsl:variable name="frontCacheHits">
+            <xsl:variable name="child"><xsl:call-template name="get-frontCachehits-sum" /></xsl:variable>
+            <xsl:value-of select="$child + sum(entry[@type='httpserber' or @type='front']/*[local-name()='frontCacheHits1' or local-name()='frontCacheHits2' or local-name()='cacheHits1' or local-name()='cacheHits2'])" />
+        </xsl:variable>
+        <xsl:variable name="backHits">
+            <xsl:choose>
+                <xsl:when test="@type = 'page'">
+                    <xsl:variable name="child"><xsl:call-template name="get-backHits-sum" /></xsl:variable>
+                    <xsl:value-of select="$child + sum(entry[@type='back']/hits)" />
+                </xsl:when>
+                <xsl:otherwise><xsl:text>N/A</xsl:text></xsl:otherwise>
+            </xsl:choose>
+        </xsl:variable>
+	
+    	{
+            "type": "file",
     		
-    		<xsl:call-template name="entry-attributes">
+    		<xsl:call-template name="entry-data">
     			<xsl:with-param name="label" select="@name" />
     			<xsl:with-param name="qtip" select="concat($httpServerPath, $frontPath, $backId)" />
     			
@@ -166,27 +196,38 @@
     			<xsl:with-param name="backHits" select="$backHits" />
     		</xsl:call-template>
     		
-    		<xsl:apply-templates select="self::resource[resource]" mode="alone" />
+    		"children": [
+    		   <xsl:for-each select="self::resource[resource]">
+                 <xsl:sort select="@name" />
+
+                 <xsl:if test="position() != 1">,</xsl:if>
+                 <xsl:call-template name="resource-alone"/> 
+               </xsl:for-each>
+    		  
+    		   <xsl:if test="count(self::resource[resource]) > 0 and count(resource) > 0">,</xsl:if>
     		
-    		<xsl:apply-templates select="resource">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</resource>
+               <xsl:for-each select="resource">
+                 <xsl:sort select="@name" />
+
+                 <xsl:if test="position() != 1">,</xsl:if>
+                 <xsl:call-template name="resource"/> 
+               </xsl:for-each>
+           ]
+   		}
     </xsl:template>
     
-    <xsl:template match="resource" mode="alone">
+    <xsl:template name="resource-alone">
     	<xsl:if test="@type='page'">
     		<xsl:call-template name="file-alone" />
     	</xsl:if>
    	</xsl:template>
     
    	<xsl:template name="file-alone">
-    	<resource>
-    		<xsl:call-template name="entry-attributes">
-    			<xsl:with-param name="label" select="'détails'" />
-    			<xsl:with-param name="qtip" select="concat('Détails des statistiques pour la page ', @name)" />
-    			<xsl:with-param name="icon" select="''" />
-    			<xsl:with-param name="iconCls" select="'x-tree-node-inline-icon'" />
+    	{
+    	   "type": "file",
+    		<xsl:call-template name="entry-data">
+    		    <xsl:with-param name="label" select="@name" />
+    			<xsl:with-param name="qtip" select="concat('Page ', @name)" />
     			
     			<xsl:with-param name="cacheable" select="@cacheable" />
     			<xsl:with-param name="httpServerHits" select="sum(entry[@type='httpserver']/httpServerHits)" />
@@ -195,19 +236,16 @@
     			<xsl:with-param name="frontCacheHits" select="sum(entry[@type='httpserver' or @type='front']/*[local-name()='frontCacheHits1' or local-name()='frontCacheHits2' or local-name()='cacheHits1' or local-name()='cacheHits2'])" />
     			<xsl:with-param name="backHits" select="sum(entry[@type='back']/hits)" />
     		</xsl:call-template>
-    	</resource>
+        }
     </xsl:template>
     
-	<xsl:template name="node-attributes">
+	<xsl:template name="node-data">
 		<xsl:param name="label" />
 		<xsl:param name="id" />
-        <xsl:param name="i18n" />
 		<xsl:param name="qtip" />
 		<xsl:param name="leaf" select="'true'" />
 		<xsl:param name="expanded" />
 		<xsl:param name="icon" />
-		<xsl:param name="iconCls" select="'x-tree-node-inline-icon'" />
-		<xsl:param name="cls" />
 		
 		<xsl:param name="cacheable" />
 		<xsl:param name="hits" />
@@ -221,15 +259,12 @@
 		<xsl:param name="effA" />
 		<xsl:param name="effF" />
 		
-		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'i18n:attr'" /><xsl:with-param name="value" select="$i18n" /></xsl:call-template>
-        <xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'label'" /><xsl:with-param name="value" select="$label" /></xsl:call-template>
+        <xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'computedLabel'" /><xsl:with-param name="value" select="$label" /></xsl:call-template>
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'id'" /><xsl:with-param name="value" select="$id" /></xsl:call-template>
-		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'qtip'" /><xsl:with-param name="value" select="$qtip" /></xsl:call-template>
+		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'computedQtip'" /><xsl:with-param name="value" select="$qtip" /></xsl:call-template>
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'leaf'" /><xsl:with-param name="value" select="$leaf" /></xsl:call-template>
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'expanded'" /><xsl:with-param name="value" select="$expanded" /></xsl:call-template>
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'icon'" /><xsl:with-param name="value" select="$icon" /></xsl:call-template>
-		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'iconCls'" /><xsl:with-param name="value" select="$iconCls" /></xsl:call-template>
-		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'cls'" /><xsl:with-param name="value" select="$cls" /></xsl:call-template>
 	
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'cacheable'" /><xsl:with-param name="value" select="$cacheable" /></xsl:call-template>
 		<xsl:call-template name="if-param-attr"><xsl:with-param name="name" select="'hits'" /><xsl:with-param name="value" select="$hits" /></xsl:call-template>
@@ -249,20 +284,17 @@
 		<xsl:param name="value" />
 		
 		<xsl:if test="$value != ''">
-			<xsl:attribute name="{$name}"><xsl:value-of select="$value" /></xsl:attribute>
+			"<xsl:value-of select="$name"/>": "<xsl:value-of select="$value" />"<xsl:text>, </xsl:text>
 		</xsl:if>
 	</xsl:template>
 	
-	<xsl:template name="entry-attributes">
+	<xsl:template name="entry-data">
 		<xsl:param name="label" />
 		<xsl:param name="id" />
-        <xsl:param name="i18n" />
 		<xsl:param name="qtip" />
 		<xsl:param name="leaf" select="'true'" />
 		<xsl:param name="expanded" />
 		<xsl:param name="icon"><xsl:call-template name="get-entry-icon" /></xsl:param>
-		<xsl:param name="iconCls"><xsl:call-template name="get-entry-iconCls" /></xsl:param>
-		<xsl:param name="cls" />
 		
 		<xsl:param name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:param>
 		<xsl:param name="httpServerHits"><xsl:call-template name="get-httpServerHits-sum" /></xsl:param>
@@ -289,16 +321,13 @@
 		<xsl:variable name="effA"><xsl:call-template name="get-percent"><xsl:with-param name="value" select="round(100*$cacheHitsA div $hits)" /></xsl:call-template></xsl:variable>
 		<xsl:variable name="effF"><xsl:call-template name="get-percent"><xsl:with-param name="value" select="round(100*$cacheHitsF div $hits)" /></xsl:call-template></xsl:variable>
 		
-		<xsl:call-template name="node-attributes">
+		<xsl:call-template name="node-data">
 			<xsl:with-param name="label" select="$label" />
 			<xsl:with-param name="id" select="$id" />
-            <xsl:with-param name="i18n" select="$i18n" />
 			<xsl:with-param name="qtip" select="$qtip" />
 			<xsl:with-param name="leaf" select="$leaf" />
 			<xsl:with-param name="expanded" select="$expanded" />
 			<xsl:with-param name="icon" select="$icon" />
-			<xsl:with-param name="iconCls" select="$iconCls" />
-			<xsl:with-param name="cls" select="$cls" />
 			
 			<xsl:with-param name="cacheable" select="$cacheable" />
 			<xsl:with-param name="hits" select="$hits" />
@@ -426,17 +455,11 @@
     <xsl:template name="get-entry-icon">
     	<xsl:choose>
     		<xsl:when test="@type = 'folder'">
-    			<xsl:value-of select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/administrator/stats/resources_16.png')" />
+    			<xsl:value-of select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/site/stats/resources_16.png')" />
     		</xsl:when>
     		<xsl:when test="@type = 'page'">
-    			<xsl:value-of select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/administrator/stats/content_16.png')" />
+    			<xsl:value-of select="concat($contextPath, '/plugins/', $pluginName, '/resources/img/site/stats/content_16.png')" />
     		</xsl:when>
     	</xsl:choose>
     </xsl:template>
-    
-    <xsl:template name="get-entry-iconCls">
-    		<xsl:if test="@type = 'asset'">
-    			<xsl:value-of select="'x-tree-node-inline-icon'" />
-    		</xsl:if>
-    </xsl:template>
 </xsl:stylesheet>
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackActions.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackActions.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackActions.js	(revision 0)
@@ -0,0 +1,52 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Back cache statistics related actions
+ */
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsBackActions', {
+	singleton: true,
+	
+	/**
+	 * Change the context and send a modified message
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller the controller calling this function
+	 */
+	changeContext: function(controller)
+	{
+		var context = controller.getInitialConfig('context');
+		if (controller.isPressed())
+		{
+			Ametys.plugins.web.administration.CacheStatisticsBackContext.activateContexts([context]);
+		}
+		else
+		{
+			Ametys.plugins.web.administration.CacheStatisticsBackContext.deactivateContext(context);
+		}
+		
+		// inform the tool that the context has been modified
+		var target = Ext.create ('Ametys.message.MessageTarget', {
+			type: Ametys.message.MessageTarget.CACHE_CONTEXT,
+			parameters: {
+			}
+		});
+		
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.MODIFIED,
+			targets: [target]
+		});
+	}
+});
+
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackContext.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackContext.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackContext.js	(revision 0)
@@ -0,0 +1,58 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Singleton class handling the list of active/inactive contexts
+ */
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsBackContext', {
+	singleton: true,
+	
+	/**
+	 * @private
+	 * @property _activeContexts the active cache statistics contexts
+	 */
+	_activeContexts: [],
+	
+	/**
+	 * Activate the given cache contexts
+	 * @param {String[]} contexts the cache contexts to activate
+	 */
+	activateContexts: function(contexts)
+	{
+		var me = this;
+		Ext.Array.each(contexts, function(context){
+			me._activeContexts.push(context);
+		});
+	},
+	
+	/**
+	 * Deactivate the given cache context
+	 * @param {String} context the cache context to deactivate
+	 */
+	deactivateContext: function(context)
+	{
+		Ext.Array.remove(this._activeContexts, context);
+	},
+
+	/**
+	 * Get the currently active cache contexts
+	 * @return the active cache contexts
+	 */
+	getActiveContexts: function()
+	{
+		return this._activeContexts;
+	}
+});
\ No newline at end of file
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool/CacheStatisticsBackEntry.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool/CacheStatisticsBackEntry.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool/CacheStatisticsBackEntry.js	(revision 0)
@@ -0,0 +1,34 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * @private
+ * The model for the {@link Ametys.plugins.web.administration.CacheStatisticsBackTool} tree tool. 
+ */
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsBackTool.CacheStatisticsBackEntry', { 
+    extend: 'Ext.data.TreeModel', 
+    fields: [ 
+        { name: 'id', type: 'string', mapping: 'id'}, 
+        { name: 'label', type: 'string', mapping: 'label'}, 
+        { name: 'qtip', type: 'string', mapping: 'qtip'}, 
+        { name: 'icon', type: 'string', mapping: 'icon'},
+        { name: 'pageHits', type: 'string', mapping: 'pageHits'},
+        { name: 'cacheable', type: 'string', mapping: 'cacheable'},
+        { name: 'hits', type: 'string', mapping: 'hits'},
+        { name: 'eff', type: 'string', mapping: 'eff'},
+        { name: 'cacheHits', type: 'string', mapping: 'cacheHits'}
+    ]
+}); 
